Container Runtime
=========

Ensures docker package or system container is installed, and optionally raises timeout for systemd-udevd.service to 5 minutes.

container-daemon.json items may be found at https://docs.docker.com/engine/reference/commandline/dockerd/#daemon-configuration-file

This role is designed to be used with include_role and tasks_from.

Entry points
------------
* package_docker.yml - install and setup docker container runtime.
* systemcontainer_docker.yml - utilize docker + systemcontainer
* systemcontainer_crio.yml - utilize crio + systemcontainer
* registry_auth.yml - place docker login credentials.

Requirements
------------

Ansible 2.4


Dependencies
------------

Depends on openshift_facts having already been run.

Example Playbook
----------------

    - hosts: servers
      tasks:
      - include_role: container_runtime
        tasks_from: package_docker.yml

License
-------

ASL 2.0

Author Information
------------------

Red Hat, Inc
